Reviewflowz API Get an API key
Widgets

Update a widget

Requires widgets:write.

Run calls

Sign in to run every call on this page on your account's data. No key needed.

Body

name string
template string: masonry, slider
sources array of string
At least one.
count integer
min_rating integer
language string
require_content boolean
require_reviewer boolean
tags array of string
custom_css string
The body you send, as JSON
curl -X PATCH https://api.reviewflowz.com/v3/widgets/wdg_7 \-H "Authorization: Bearer rfz_live_..." \-H "Content-Type: application/json" \-d '{"name": "Tour Eiffel","template": "masonry","sources": ["src_1"],"count": 212,"min_rating": 4,"language": "en","require_content": true,"require_reviewer": true,"tags": ["tag_1"],"custom_css": ".rfz-widget { font-family: inherit; }"}'
Example answer
{"id": "wdg_7","name": "Homepage reviews","template": "masonry","sources": ["src_1"],"count": 12,"min_rating": 4,"language": "en","require_content": true,"require_reviewer": true,"tags": ["tag_1"],"custom_css": ".rfz-widget { font-family: inherit; }","embed": {"script": "<script src=\"https://app.reviewflowz.com/iframes/56857a89-d15d-4b63-95d4-0a0c07bcda5d/script.js\" defer type=\"text/javascript\"></script>","iframe": "<iframe src=\"https://app.reviewflowz.com/iframes/56857a89-d15d-4b63-95d4-0a0c07bcda5d\" id=\"rvwflwz-41\" style=\"width: 1px; min-width:100%;\"></iframe>"},"created_at": "2026-11-01T09:00:00Z"}